## xrt 202020.2.8.726

=== debian/changelog ===
xrt (202020.2.8.726-0ubuntu5) hirsute; urgency=medium

  * Avoid installing files in /opt and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 13 Apr 2021 14:10:07 +0200

xrt (202020.2.8.726-0ubuntu4) hirsute; urgency=medium

  * Fix lintian warnings and add watch file

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 09 Apr 2021 14:42:09 +0200

xrt (202020.2.8.726-0ubuntu3) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 23 Mar 2021 17:14:50 +0100

xrt (202020.2.8.726-0ubuntu2) focal; urgency=medium

  * Add missing dependency for x86

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 17:46:04 +0100

xrt (202020.2.8.726-0ubuntu1) focal; urgency=medium

  * Update to 202020.2.8.726 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 13:33:35 +0100

xrt (202010.2.7.766-0ubuntu4) focal; urgency=medium

  * Fix postinst/prerm for zocl

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 13:25:07 +0200

xrt (202010.2.7.766-0ubuntu3) focal; urgency=medium

  * Add zocl files

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 12:31:03 +0200

xrt (202010.2.7.766-0ubuntu2) focal; urgency=medium

  * Add xrt-embedded package for arm64.
    The structure of this package is significantly different to the xrt
    one.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 11:31:53 +0200

xrt (202010.2.7.766-0ubuntu1) focal; urgency=medium

  * Update to 202010.2.7.766 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 01 Oct 2020 16:19:32 +0200

xrt (202010.2.6.655-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:04:43 +0200
