=== tests/xma/Makefile ===
TOPTARGETS := all clean

SUBDIRS := plugins $(wildcard check_xma*/.)

$(TOPTARGETS): $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

.PHONY: $(TOPTARGETS) $(SUBDIRS)
