=== debian/changelog ===
xrt (202020.2.8.743-0ubuntu2) jammy; urgency=medium

  * Convert packages in transitional packages to the ones from
    xilinx-runtime source package.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 03 Mar 2022 11:17:15 +0100

xrt (202020.2.8.743-0ubuntu1) impish; urgency=medium

  * Update to 202020.2.8.743 tag upstream (fixex issue with reading AIE
    counter)
  * Add OpenCL configuration file (LP: #1939613)
  * Fix FTBFS with latest impish gcc
  * Restrict build to arm64 only

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 13 Aug 2021 11:30:48 +0200

xrt (202020.2.8.726-0ubuntu7) impish; urgency=medium

  * Fix patches description

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 28 May 2021 12:19:28 +0200

xrt (202020.2.8.726-0ubuntu6) impish; urgency=medium

  * Fix dkms packages build

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 24 May 2021 12:23:12 +0200
