=== debian/control ===
Source: xrt
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12),
# used to check the version of the tree
               git,
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/Xilinx/XRT
Vcs-Git: https://github.com/Xilinx/XRT.git

Package: xrt-embedded
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         xrt
Description: Xilinx Runtime (XRT) - runtime libraries
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the XRT libraries, headers, and tools for MPSoC
 devices.
 .
 This is now a transitional package that pulls the xrt package,
 which has the same contents as previous versions of xrt-embedded.

Package: xrt-zocl-dkms
# embedded/edge only driver
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         xrt-dkms
Description: Xilinx Runtime (XRT) - ZOCL DKMS kernel drivers
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the ZOCL DKMS kernel drivers.
 .
 This is now a transitional package that pulls the xrt-dkms package,
 which has the same contents as previous versions of xrt-zocl-dkms.
