=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --sourcedirectory=src

override_dh_auto_configure:
	:

override_dh_auto_test:
	:

override_dh_install:
	:
