=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xrt-$1.tar.gz%" \
    https://github.com/Xilinx/XRT/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
