=== debian/changelog ===
xrt (202210.2.13.466+dfsg-8.2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:32 +0200
